<?php
namespace Bushelpowered\Api\Fulfillment\Contract\V1\Response;
        
class ContractDetailResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public string $remoteId;
    public ?string $displayId = null;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\AccountResponse $account;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\CompanyResponse $company;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\CommodityResponse $commodity;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse $contractedLocation;
    public ?float $quantityContracted = null;
    public ?float $quantityRemaining = null;
    public ?float $quantityCanceled = null;
    public ?float $quantityPriced = null;
    public ?float $quantityUnpriced = null;
    public ?string $quantityUom = null;
    public string $contractType;
    public string $status;
    public ?string $signatureStatus = null;
    public ?float $pricing = null;
    public ?string $cropYear = null;
    /** @var \Bushelpowered\Api\Fulfillment\Contract\V1\Response\PricingLineResponse[] $pricingLines */
    public array $pricingLines;
    public ?int $remoteCreatedAt = null;
    public ?int $remoteUpdatedAt = null;
    public int $createdAt;
    public int $updatedAt;

    /**
     * @param  \Bushelpowered\Api\Fulfillment\Contract\V1\Response\PricingLineResponse[]  $pricingLines
     */
    public function __construct(string $id, string $remoteId, ?string $displayId, \Bushelpowered\Api\Fulfillment\Common\V1\Response\AccountResponse $account, \Bushelpowered\Api\Fulfillment\Common\V1\Response\CompanyResponse $company, \Bushelpowered\Api\Fulfillment\Common\V1\Response\CommodityResponse $commodity, \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse $contractedLocation, ?float $quantityContracted, ?float $quantityRemaining, ?float $quantityCanceled, ?float $quantityPriced, ?float $quantityUnpriced, ?string $quantityUom, string $contractType, string $status, ?string $signatureStatus, ?float $pricing, ?string $cropYear, array $pricingLines, ?int $remoteCreatedAt, ?int $remoteUpdatedAt, int $createdAt, int $updatedAt)
    {
        $this->id = $id;
        $this->remoteId = $remoteId;
        $this->displayId = $displayId;
        $this->account = $account;
        $this->company = $company;
        $this->commodity = $commodity;
        $this->contractedLocation = $contractedLocation;
        $this->quantityContracted = $quantityContracted;
        $this->quantityRemaining = $quantityRemaining;
        $this->quantityCanceled = $quantityCanceled;
        $this->quantityPriced = $quantityPriced;
        $this->quantityUnpriced = $quantityUnpriced;
        $this->quantityUom = $quantityUom;
        $this->contractType = $contractType;
        $this->status = $status;
        $this->signatureStatus = $signatureStatus;
        $this->pricing = $pricing;
        $this->cropYear = $cropYear;
        $this->pricingLines = $pricingLines;
        $this->remoteCreatedAt = $remoteCreatedAt;
        $this->remoteUpdatedAt = $remoteUpdatedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
}