<?php
namespace Bushelpowered\Api\Grain\Contracts\V1\Model;
        
class PricingLineStandard implements \Bushelpowered\Api\Common\HasSourceTimestamps, \Bushelpowered\Api\Common\HasTimestamps
{
    public string $id;
    public string $entityRevisionId;
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public ?string $sourceLocationId = null;
    public ?string $locationId = null;
    public string $sourceContractId;
    public string $contractId;
    public ?float $sourceBasisPrice = null;
    public ?float $sourceCashPrice = null;
    public ?string $sourceCurrency = null;
    public ?string $currency = null;
    public ?int $sourceDeliveryPeriodStart = null;
    public ?int $sourceDeliveryPeriodEnd = null;
    public ?string $sourceDeliveryStatus = null;
    public ?string $sourceDisplayId = null;
    public ?string $sourceFuturesMonth = null;
    public ?float $sourceFuturesPrice = null;
    public ?int $sourcePricedAt = null;
    public ?string $sourcePricingStatus = null;
    public ?float $sourceQuantityDelivered = null;
    public ?float $sourceQuantityPriced = null;
    public ?string $sourceQuantityUom = null;
    public ?string $quantityUom = null;
    public ?float $sourceEstimatedAdditionalAdjustment = null;
    public ?float $sourceEstimatedFutures = null;
    public ?float $sourceAdjustment = null;
    public ?int $sourceSequenceNumber = null;
    public ?string $sourceSignatureStatus = null;
    public ?string $sourceComments = null;
    /** @var \Bushelpowered\Api\Grain\Contracts\V1\Model\PricingHistoryStandard[]|null $pricingHistories */
    public ?array $pricingHistories = null;
    public int $sourceCreatedAt;
    public int $sourceUpdatedAt;
    public ?int $sourceDeletedAt = null;
    public int $createdAt;
    public int $updatedAt;
    public ?int $deletedAt = null;

    /**
     * @param  \Bushelpowered\Api\Grain\Contracts\V1\Model\PricingHistoryStandard[]|null  $pricingHistories
     */
    public function __construct(string $id, string $entityRevisionId, string $tenantId, string $datasourceId, string $integrationId, string $sourceId, ?string $sourceLocationId, ?string $locationId, string $sourceContractId, string $contractId, ?float $sourceBasisPrice, ?float $sourceCashPrice, ?string $sourceCurrency, ?string $currency, ?int $sourceDeliveryPeriodStart, ?int $sourceDeliveryPeriodEnd, ?string $sourceDeliveryStatus, ?string $sourceDisplayId, ?string $sourceFuturesMonth, ?float $sourceFuturesPrice, ?int $sourcePricedAt, ?string $sourcePricingStatus, ?float $sourceQuantityDelivered, ?float $sourceQuantityPriced, ?string $sourceQuantityUom, ?string $quantityUom, ?float $sourceEstimatedAdditionalAdjustment, ?float $sourceEstimatedFutures, ?float $sourceAdjustment, ?int $sourceSequenceNumber, ?string $sourceSignatureStatus, ?string $sourceComments, ?array $pricingHistories, int $sourceCreatedAt, int $sourceUpdatedAt, ?int $sourceDeletedAt, int $createdAt, int $updatedAt, ?int $deletedAt)
    {
        $this->id = $id;
        $this->entityRevisionId = $entityRevisionId;
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceLocationId = $sourceLocationId;
        $this->locationId = $locationId;
        $this->sourceContractId = $sourceContractId;
        $this->contractId = $contractId;
        $this->sourceBasisPrice = $sourceBasisPrice;
        $this->sourceCashPrice = $sourceCashPrice;
        $this->sourceCurrency = $sourceCurrency;
        $this->currency = $currency;
        $this->sourceDeliveryPeriodStart = $sourceDeliveryPeriodStart;
        $this->sourceDeliveryPeriodEnd = $sourceDeliveryPeriodEnd;
        $this->sourceDeliveryStatus = $sourceDeliveryStatus;
        $this->sourceDisplayId = $sourceDisplayId;
        $this->sourceFuturesMonth = $sourceFuturesMonth;
        $this->sourceFuturesPrice = $sourceFuturesPrice;
        $this->sourcePricedAt = $sourcePricedAt;
        $this->sourcePricingStatus = $sourcePricingStatus;
        $this->sourceQuantityDelivered = $sourceQuantityDelivered;
        $this->sourceQuantityPriced = $sourceQuantityPriced;
        $this->sourceQuantityUom = $sourceQuantityUom;
        $this->quantityUom = $quantityUom;
        $this->sourceEstimatedAdditionalAdjustment = $sourceEstimatedAdditionalAdjustment;
        $this->sourceEstimatedFutures = $sourceEstimatedFutures;
        $this->sourceAdjustment = $sourceAdjustment;
        $this->sourceSequenceNumber = $sourceSequenceNumber;
        $this->sourceSignatureStatus = $sourceSignatureStatus;
        $this->sourceComments = $sourceComments;
        $this->pricingHistories = $pricingHistories;
        $this->sourceCreatedAt = $sourceCreatedAt;
        $this->sourceUpdatedAt = $sourceUpdatedAt;
        $this->sourceDeletedAt = $sourceDeletedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    public function getSourceCreatedAt(): int
    {
        return $this->sourceCreatedAt;
    }
    public function getSourceUpdatedAt(): int
    {
        return $this->sourceUpdatedAt;
    }
    public function getSourceDeletedAt(): ?int
    {
        return $this->sourceDeletedAt;
    }
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
    public function getDeletedAt(): ?int
    {
        return $this->deletedAt;
    }
}