<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class SubjectGroup implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public string $name;
    public \Bushelpowered\Api\Iam\Access\Common\V1\SubjectGroupType $type;
    public ?string $tenantId = null;
    public int $createdAt;
    public int $updatedAt;

    /**
     */
    public function __construct(string $id, string $name, \Bushelpowered\Api\Iam\Access\Common\V1\SubjectGroupType $type, ?string $tenantId, int $createdAt, int $updatedAt)
    {
        $this->id = $id;
        $this->name = $name;
        $this->type = $type;
        $this->tenantId = $tenantId;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
}