<?php

namespace Bushelpowered\Api\Iam\Access\Common\V1;

class Subjectable
{
    public string $type;
    private $data= null;
    private \JsonMapper $mapper;

    private static $types = [
        'subject' => '\Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef',
        'allSubjects' => '?\Bushelpowered\Api\Common\EmptyPHP',
        'identifier' => '\Bushelpowered\Api\Iam\Access\Common\V1\IdentifierRef',
        'subjectGroup' => '\Bushelpowered\Api\Iam\Access\Common\V1\SubjectGroupRef',
    ];

    private function __constructor($type, $data) {
        $this->type = $type;
        $this->data = $data;
        $this->mapper = new \JsonMapper();
    }

    public static function Subject(\Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef $data): Subjectable
    {
        return new Subjectable(self::$types['subject'], $data);
    }
    public static function AllSubjects(?\Bushelpowered\Api\Common\EmptyPHP $data): Subjectable
    {
        return new Subjectable(self::$types['allSubjects'], $data);
    }
    public static function Identifier(\Bushelpowered\Api\Iam\Access\Common\V1\IdentifierRef $data): Subjectable
    {
        return new Subjectable(self::$types['identifier'], $data);
    }
    public static function SubjectGroup(\Bushelpowered\Api\Iam\Access\Common\V1\SubjectGroupRef $data): Subjectable
    {
        return new Subjectable(self::$types['subjectGroup'], $data);
    }

    public function getData() {
        $className = self::$types[$this->type];
        if ($className != null && $this->data != null) {
            $empty = (new \ReflectionClass($className))->newInstanceWithoutConstructor();
            return $this->mapper->map($this->data, $empty);
        } else {
            return $this->data;
        }
    }
}
    