<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Request;
        
class CheckResourceRequest implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasConsistency, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasPermissions, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasResource
{
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency = null;
    /** @var string[] $permissions */
    public array $permissions;
    public \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource;

    /**
     * @param  string[]  $permissions
     */
    public function __construct(?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency, array $permissions, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource)
    {
        $this->consistency = $consistency;
        $this->permissions = $permissions;
        $this->resource = $resource;
    }
    
    public function getConsistency(): ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency
    {
        return $this->consistency;
    }
    /**
     * @return string[]
     */
    public function getPermissions(): array
    {
        return $this->permissions;
    }
    public function getResource(): \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef
    {
        return $this->resource;
    }
}