<?php

namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;

class RelationshipSet
{
    public string $type;
    private $data;
    private \JsonMapper $mapper;

    private static $types = [
        'identifiersToSubject' => '\Bushelpowered\Api\Iam\Access\Manage\V1\Request\IdentifiersToSubjectRelationships',
    ];

    private function __constructor($type, $data) {
        $this->type = $type;
        $this->data = $data;
        $this->mapper = new \JsonMapper();
    }

    public static function IdentifiersToSubject(\Bushelpowered\Api\Iam\Access\Manage\V1\Request\IdentifiersToSubjectRelationships $data): RelationshipSet
    {
        return new RelationshipSet(self::$types['identifiersToSubject'], $data);
    }

    public function getData() {
        $className = self::$types[$this->type];
        if ($className != null && $this->data != null) {
            $empty = (new \ReflectionClass($className))->newInstanceWithoutConstructor();
            return $this->mapper->map($this->data, $empty);
        } else {
            return $this->data;
        }
    }
}
    