<?php
namespace Bushelpowered\Api\Payments\V1\Event;
        
class PaymentEvent implements \Bushelpowered\Api\Common\Event\Event, \Bushelpowered\Api\Common\Event\StandardEvent
{
    public \Bushelpowered\Api\Payments\V1\Model\PaymentStandard $data;
    public string $idempotencyKey;
    public int $eventCreationTime;
    public ?string $tenantId = null;

    /**
     */
    public function __construct(\Bushelpowered\Api\Payments\V1\Model\PaymentStandard $data, string $idempotencyKey, int $eventCreationTime, ?string $tenantId)
    {
        $this->data = $data;
        $this->idempotencyKey = $idempotencyKey;
        $this->eventCreationTime = $eventCreationTime;
        $this->tenantId = $tenantId;
    }
    
    public function getData(): \Bushelpowered\Api\Payments\V1\Model\PaymentStandard
    {
        return $this->data;
    }
    public function getIdempotencyKey(): string
    {
        return $this->idempotencyKey;
    }
    public function getEventCreationTime(): int
    {
        return $this->eventCreationTime;
    }
    public function getTenantId(): ?string
    {
        return $this->tenantId;
    }
}