<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Event;
        
class IdentifierAccountsRaw implements \Bushelpowered\Api\Common\Event\RawRecord, \Bushelpowered\Api\Common\HasSourceTimestamps
{
    public string $userIdpId;
    public string $idpSlug;
    public ?string $name = null;
    /** @var \Bushelpowered\Api\Platform\Authorization\V1\Event\AccountRoles[] $accountRoles */
    public array $accountRoles;
    public string $integrationId;
    public int $sourceCreatedAt;
    public int $sourceUpdatedAt;
    public ?int $sourceDeletedAt = null;
    public string $tenantId;
    public string $datasourceId;
    public string $sourceId;
    public ?string $sourceAccountId = null;
    public ?string $sourceLocationId = null;

    /**
     * @param  \Bushelpowered\Api\Platform\Authorization\V1\Event\AccountRoles[]  $accountRoles
     */
    public function __construct(string $userIdpId, string $idpSlug, ?string $name, array $accountRoles, string $integrationId, int $sourceCreatedAt, int $sourceUpdatedAt, ?int $sourceDeletedAt, string $tenantId, string $datasourceId, string $sourceId, ?string $sourceAccountId, ?string $sourceLocationId)
    {
        $this->userIdpId = $userIdpId;
        $this->idpSlug = $idpSlug;
        $this->name = $name;
        $this->accountRoles = $accountRoles;
        $this->integrationId = $integrationId;
        $this->sourceCreatedAt = $sourceCreatedAt;
        $this->sourceUpdatedAt = $sourceUpdatedAt;
        $this->sourceDeletedAt = $sourceDeletedAt;
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->sourceId = $sourceId;
        $this->sourceAccountId = $sourceAccountId;
        $this->sourceLocationId = $sourceLocationId;
    }
    
    public function getIntegrationId(): string
    {
        return $this->integrationId;
    }
    public function getSourceCreatedAt(): int
    {
        return $this->sourceCreatedAt;
    }
    public function getSourceUpdatedAt(): int
    {
        return $this->sourceUpdatedAt;
    }
    public function getSourceDeletedAt(): ?int
    {
        return $this->sourceDeletedAt;
    }
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
    public function getDatasourceId(): string
    {
        return $this->datasourceId;
    }
    public function getSourceId(): string
    {
        return $this->sourceId;
    }
    public function getSourceAccountId(): ?string
    {
        return $this->sourceAccountId;
    }
    public function getSourceLocationId(): ?string
    {
        return $this->sourceLocationId;
    }
}