<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Response;
        
class BuildResponse implements \Bushelpowered\Api\Common\HasTimestamps
{
    public string $id;
    public string $flavorId;
    public string $iosDisplayName;
    public string $androidBundleId;
    public string $iosBundleId;
    public ?string $versionName = null;
    public ?string $iosProduceItcTeamName = null;
    public ?string $iosCertTeamId = null;
    public ?string $iosFastlanePassword = null;
    public ?string $iosFastlaneUser = null;
    public ?string $iosApiKey = null;
    public ?string $iosKeyId = null;
    public ?string $iosIssuerId = null;
    public int $createdAt;
    public int $updatedAt;
    public ?int $deletedAt = null;

    /**
     */
    public function __construct(string $id, string $flavorId, string $iosDisplayName, string $androidBundleId, string $iosBundleId, ?string $versionName, ?string $iosProduceItcTeamName, ?string $iosCertTeamId, ?string $iosFastlanePassword, ?string $iosFastlaneUser, ?string $iosApiKey, ?string $iosKeyId, ?string $iosIssuerId, int $createdAt, int $updatedAt, ?int $deletedAt)
    {
        $this->id = $id;
        $this->flavorId = $flavorId;
        $this->iosDisplayName = $iosDisplayName;
        $this->androidBundleId = $androidBundleId;
        $this->iosBundleId = $iosBundleId;
        $this->versionName = $versionName;
        $this->iosProduceItcTeamName = $iosProduceItcTeamName;
        $this->iosCertTeamId = $iosCertTeamId;
        $this->iosFastlanePassword = $iosFastlanePassword;
        $this->iosFastlaneUser = $iosFastlaneUser;
        $this->iosApiKey = $iosApiKey;
        $this->iosKeyId = $iosKeyId;
        $this->iosIssuerId = $iosIssuerId;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
    public function getDeletedAt(): ?int
    {
        return $this->deletedAt;
    }
}