<?php
namespace Bushelpowered\Api\Platform\Location\V1\Model;
        
class LocationStandard implements \Bushelpowered\Api\Common\Event\StandardRecord, \Bushelpowered\Api\Common\HasSourceTimestamps, \Bushelpowered\Api\Common\HasTimestamps
{
    public string $id;
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public ?string $sourceName = null;
    public ?string $internalName = null;
    public ?string $publicName = null;
    public ?string $physicalAddressLine1 = null;
    public ?string $physicalAddressLine2 = null;
    public ?string $physicalLocality = null;
    public ?string $physicalAdministrativeArea = null;
    public ?string $physicalPostalCode = null;
    public ?string $physicalCountryCode = null;
    public ?float $latitude = null;
    public ?float $longitude = null;
    public ?string $businessPhone = null;
    public ?string $businessEmail = null;
    public ?string $businessWebsite = null;
    public \Bushelpowered\Api\Platform\Location\V1\Domo\LocationType $locationType;
    public ?\Bushelpowered\Api\Platform\Location\V1\Model\LocationStandard $parent = null;
    public ?string $accountId = null;
    public ?string $locationId = null;
    public int $updatedAt;
    public int $createdAt;
    public ?int $deletedAt = null;
    public int $sourceCreatedAt;
    public int $sourceUpdatedAt;
    public ?int $sourceDeletedAt = null;

    /**
     */
    public function __construct(string $id, string $tenantId, string $datasourceId, string $integrationId, string $sourceId, ?string $sourceName, ?string $internalName, ?string $publicName, ?string $physicalAddressLine1, ?string $physicalAddressLine2, ?string $physicalLocality, ?string $physicalAdministrativeArea, ?string $physicalPostalCode, ?string $physicalCountryCode, ?float $latitude, ?float $longitude, ?string $businessPhone, ?string $businessEmail, ?string $businessWebsite, \Bushelpowered\Api\Platform\Location\V1\Domo\LocationType $locationType, ?\Bushelpowered\Api\Platform\Location\V1\Model\LocationStandard $parent, ?string $accountId, ?string $locationId, int $updatedAt, int $createdAt, ?int $deletedAt, int $sourceCreatedAt, int $sourceUpdatedAt, ?int $sourceDeletedAt)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceName = $sourceName;
        $this->internalName = $internalName;
        $this->publicName = $publicName;
        $this->physicalAddressLine1 = $physicalAddressLine1;
        $this->physicalAddressLine2 = $physicalAddressLine2;
        $this->physicalLocality = $physicalLocality;
        $this->physicalAdministrativeArea = $physicalAdministrativeArea;
        $this->physicalPostalCode = $physicalPostalCode;
        $this->physicalCountryCode = $physicalCountryCode;
        $this->latitude = $latitude;
        $this->longitude = $longitude;
        $this->businessPhone = $businessPhone;
        $this->businessEmail = $businessEmail;
        $this->businessWebsite = $businessWebsite;
        $this->locationType = $locationType;
        $this->parent = $parent;
        $this->accountId = $accountId;
        $this->locationId = $locationId;
        $this->updatedAt = $updatedAt;
        $this->createdAt = $createdAt;
        $this->deletedAt = $deletedAt;
        $this->sourceCreatedAt = $sourceCreatedAt;
        $this->sourceUpdatedAt = $sourceUpdatedAt;
        $this->sourceDeletedAt = $sourceDeletedAt;
    }
    
    public function getId(): string
    {
        return $this->id;
    }
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
    public function getDatasourceId(): string
    {
        return $this->datasourceId;
    }
    public function getIntegrationId(): string
    {
        return $this->integrationId;
    }
    public function getSourceId(): string
    {
        return $this->sourceId;
    }
    public function getAccountId(): ?string
    {
        return $this->accountId;
    }
    public function getLocationId(): ?string
    {
        return $this->locationId;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getDeletedAt(): ?int
    {
        return $this->deletedAt;
    }
    public function getSourceCreatedAt(): int
    {
        return $this->sourceCreatedAt;
    }
    public function getSourceUpdatedAt(): int
    {
        return $this->sourceUpdatedAt;
    }
    public function getSourceDeletedAt(): ?int
    {
        return $this->sourceDeletedAt;
    }
}