<?php
namespace Bushelpowered\Api\Platform\Subscription\V1\Model;
        
class SubscriptionStandard implements \Bushelpowered\Api\Common\HasTimestamps
{
    public string $id;
    public string $tenantId;
    public ?string $userId = null;
    public ?string $accountId = null;
    public string $featureId;
    public string $consumerId;
    public string $consumerTargetId;
    public ?bool $isSubscribed = null;
    public int $createdAt;
    public int $updatedAt;
    public ?int $deletedAt = null;

    /**
     */
    public function __construct(string $id, string $tenantId, ?string $userId, ?string $accountId, string $featureId, string $consumerId, string $consumerTargetId, ?bool $isSubscribed, int $createdAt, int $updatedAt, ?int $deletedAt)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->userId = $userId;
        $this->accountId = $accountId;
        $this->featureId = $featureId;
        $this->consumerId = $consumerId;
        $this->consumerTargetId = $consumerTargetId;
        $this->isSubscribed = $isSubscribed;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
    public function getDeletedAt(): ?int
    {
        return $this->deletedAt;
    }
}