<?php
namespace Bushelpowered\Api\Reporting\Tickets\V1\Response;
        
class TicketsConfigurationResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public bool $enabled;
    public ?string $title = null;
    public bool $truckNameEnabled;
    public bool $truckLicenseEnabled;
    public bool $truckDriverEnabled;
    public int $createdAt;
    public int $updatedAt;

    /**
     */
    public function __construct(string $id, bool $enabled, ?string $title, bool $truckNameEnabled, bool $truckLicenseEnabled, bool $truckDriverEnabled, int $createdAt, int $updatedAt)
    {
        $this->id = $id;
        $this->enabled = $enabled;
        $this->title = $title;
        $this->truckNameEnabled = $truckNameEnabled;
        $this->truckLicenseEnabled = $truckLicenseEnabled;
        $this->truckDriverEnabled = $truckDriverEnabled;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
}