<?php
namespace Bushelpowered\Api\Statement\V1\Model;
        
class StatementRaw implements \Bushelpowered\Api\Common\Event\RawRecord, \Bushelpowered\Api\Common\HasSourceTimestamps
{
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public string $sourceAccountId;
    public string $accountIntegrationId;
    public string $sourceCurrency;
    public float $sourceTotalBalance;
    public float $sourceBalanceDue;
    public int $sourceIssueDate;
    public int $sourceDueDate;
    public ?string $sourceStatus = null;
    public ?string $sourceLocationId = null;
    public int $sourceUpdatedAt;
    public int $sourceCreatedAt;
    public ?int $sourceDeletedAt = null;

    /**
     */
    public function __construct(string $tenantId, string $datasourceId, string $integrationId, string $sourceId, string $sourceAccountId, string $accountIntegrationId, string $sourceCurrency, float $sourceTotalBalance, float $sourceBalanceDue, int $sourceIssueDate, int $sourceDueDate, ?string $sourceStatus, ?string $sourceLocationId, int $sourceUpdatedAt, int $sourceCreatedAt, ?int $sourceDeletedAt)
    {
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceAccountId = $sourceAccountId;
        $this->accountIntegrationId = $accountIntegrationId;
        $this->sourceCurrency = $sourceCurrency;
        $this->sourceTotalBalance = $sourceTotalBalance;
        $this->sourceBalanceDue = $sourceBalanceDue;
        $this->sourceIssueDate = $sourceIssueDate;
        $this->sourceDueDate = $sourceDueDate;
        $this->sourceStatus = $sourceStatus;
        $this->sourceLocationId = $sourceLocationId;
        $this->sourceUpdatedAt = $sourceUpdatedAt;
        $this->sourceCreatedAt = $sourceCreatedAt;
        $this->sourceDeletedAt = $sourceDeletedAt;
    }
    
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
    public function getDatasourceId(): string
    {
        return $this->datasourceId;
    }
    public function getIntegrationId(): string
    {
        return $this->integrationId;
    }
    public function getSourceId(): string
    {
        return $this->sourceId;
    }
    public function getSourceAccountId(): string
    {
        return $this->sourceAccountId;
    }
    public function getSourceLocationId(): ?string
    {
        return $this->sourceLocationId;
    }
    public function getSourceUpdatedAt(): int
    {
        return $this->sourceUpdatedAt;
    }
    public function getSourceCreatedAt(): int
    {
        return $this->sourceCreatedAt;
    }
    public function getSourceDeletedAt(): ?int
    {
        return $this->sourceDeletedAt;
    }
}