<?php
namespace Bushelpowered\Api\Statement\V1\Model;
        
class StatementStandard implements \Bushelpowered\Api\Common\Event\StandardRecord, \Bushelpowered\Api\Common\HasSourceTimestamps, \Bushelpowered\Api\Common\HasTimestamps
{
    public string $id;
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public string $sourceAccountId;
    public string $accountId;
    public string $sourceCurrency;
    public string $currency;
    public float $sourceTotalBalance;
    public float $sourceBalanceDue;
    public int $sourceIssueDate;
    public int $sourceDueDate;
    public ?string $sourceStatus = null;
    public ?string $status = null;
    public ?string $locationId = null;
    public int $updatedAt;
    public int $createdAt;
    public ?int $deletedAt = null;
    public int $sourceCreatedAt;
    public int $sourceUpdatedAt;
    public ?int $sourceDeletedAt = null;

    /**
     */
    public function __construct(string $id, string $tenantId, string $datasourceId, string $integrationId, string $sourceId, string $sourceAccountId, string $accountId, string $sourceCurrency, string $currency, float $sourceTotalBalance, float $sourceBalanceDue, int $sourceIssueDate, int $sourceDueDate, ?string $sourceStatus, ?string $status, ?string $locationId, int $updatedAt, int $createdAt, ?int $deletedAt, int $sourceCreatedAt, int $sourceUpdatedAt, ?int $sourceDeletedAt)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceAccountId = $sourceAccountId;
        $this->accountId = $accountId;
        $this->sourceCurrency = $sourceCurrency;
        $this->currency = $currency;
        $this->sourceTotalBalance = $sourceTotalBalance;
        $this->sourceBalanceDue = $sourceBalanceDue;
        $this->sourceIssueDate = $sourceIssueDate;
        $this->sourceDueDate = $sourceDueDate;
        $this->sourceStatus = $sourceStatus;
        $this->status = $status;
        $this->locationId = $locationId;
        $this->updatedAt = $updatedAt;
        $this->createdAt = $createdAt;
        $this->deletedAt = $deletedAt;
        $this->sourceCreatedAt = $sourceCreatedAt;
        $this->sourceUpdatedAt = $sourceUpdatedAt;
        $this->sourceDeletedAt = $sourceDeletedAt;
    }
    
    public function getId(): string
    {
        return $this->id;
    }
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
    public function getDatasourceId(): string
    {
        return $this->datasourceId;
    }
    public function getIntegrationId(): string
    {
        return $this->integrationId;
    }
    public function getSourceId(): string
    {
        return $this->sourceId;
    }
    public function getAccountId(): string
    {
        return $this->accountId;
    }
    public function getLocationId(): ?string
    {
        return $this->locationId;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getDeletedAt(): ?int
    {
        return $this->deletedAt;
    }
    public function getSourceCreatedAt(): int
    {
        return $this->sourceCreatedAt;
    }
    public function getSourceUpdatedAt(): int
    {
        return $this->sourceUpdatedAt;
    }
    public function getSourceDeletedAt(): ?int
    {
        return $this->sourceDeletedAt;
    }
}