<?php
namespace Bushelpowered\Api\Statement\V1\Request;
        
class GetAllStatementsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    /** @var string[]|null $integrationIds */
    public ?array $integrationIds = null;
    /** @var string[]|null $accountIds */
    public ?array $accountIds = null;
    public ?int $sourceDueDateStart = null;
    public ?int $sourceDueDateEnd = null;
    public ?int $sourceIssueDateStart = null;
    public ?int $sourceIssueDateEnd = null;
    public ?\Bushelpowered\Api\Statement\V1\Request\StatementPagination $pagination = null;

    /**
     * @param  string[]|null  $ids
     * @param  string[]|null  $tenantIds
     * @param  string[]|null  $integrationIds
     * @param  string[]|null  $accountIds
     */
    public function __construct(?array $ids, ?array $tenantIds, ?array $integrationIds, ?array $accountIds, ?int $sourceDueDateStart, ?int $sourceDueDateEnd, ?int $sourceIssueDateStart, ?int $sourceIssueDateEnd, ?\Bushelpowered\Api\Statement\V1\Request\StatementPagination $pagination)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->integrationIds = $integrationIds;
        $this->accountIds = $accountIds;
        $this->sourceDueDateStart = $sourceDueDateStart;
        $this->sourceDueDateEnd = $sourceDueDateEnd;
        $this->sourceIssueDateStart = $sourceIssueDateStart;
        $this->sourceIssueDateEnd = $sourceIssueDateEnd;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Statement\V1\Request\StatementPagination
    {
        return $this->pagination;
    }
}