<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Response;
        
class CashBidGroupOverrideResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public string $companyId;
    public string $cqgSymbolId;
    public ?string $commodityName = null;
    public ?string $commodityProductName = null;
    public ?string $tickSize = null;
    public bool $display;
    public bool $ignoreUnitConversion;
    public int $sortOrder;
    public int $createdAt;
    public int $updatedAt;

    /**
     */
    public function __construct(string $id, string $companyId, string $cqgSymbolId, ?string $commodityName, ?string $commodityProductName, ?string $tickSize, bool $display, bool $ignoreUnitConversion, int $sortOrder, int $createdAt, int $updatedAt)
    {
        $this->id = $id;
        $this->companyId = $companyId;
        $this->cqgSymbolId = $cqgSymbolId;
        $this->commodityName = $commodityName;
        $this->commodityProductName = $commodityProductName;
        $this->tickSize = $tickSize;
        $this->display = $display;
        $this->ignoreUnitConversion = $ignoreUnitConversion;
        $this->sortOrder = $sortOrder;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
}