<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Response;
        
class LocationResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp, \Bushelpowered\Api\Common\HasDeletedAtTimestamp
{
    public string $id;
    public string $companyId;
    public int $centreId;
    public int $cqgCategoryId;
    public string $displayName;
    public int $sortOrder;
    public int $createdAt;
    public int $updatedAt;
    public ?int $deletedAt = null;

    /**
     */
    public function __construct(string $id, string $companyId, int $centreId, int $cqgCategoryId, string $displayName, int $sortOrder, int $createdAt, int $updatedAt, ?int $deletedAt)
    {
        $this->id = $id;
        $this->companyId = $companyId;
        $this->centreId = $centreId;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->displayName = $displayName;
        $this->sortOrder = $sortOrder;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
    public function getDeletedAt(): ?int
    {
        return $this->deletedAt;
    }
}