<?php
namespace Bushelpowered\Api\Trade\Offers\V1\Events;
        
class ESignEvent implements \Bushelpowered\Api\Common\Event\Event
{
    public \Bushelpowered\Api\Trade\Offers\V1\Model\ESignStandard $data;
    public string $dataSourceId;
    public string $idempotencyKey;
    public int $eventCreationTime;
    public ?string $tenantId = null;

    /**
     */
    public function __construct(\Bushelpowered\Api\Trade\Offers\V1\Model\ESignStandard $data, string $dataSourceId, string $idempotencyKey, int $eventCreationTime, ?string $tenantId)
    {
        $this->data = $data;
        $this->dataSourceId = $dataSourceId;
        $this->idempotencyKey = $idempotencyKey;
        $this->eventCreationTime = $eventCreationTime;
        $this->tenantId = $tenantId;
    }
    
    public function getIdempotencyKey(): string
    {
        return $this->idempotencyKey;
    }
    public function getEventCreationTime(): int
    {
        return $this->eventCreationTime;
    }
    public function getTenantId(): ?string
    {
        return $this->tenantId;
    }
}