<?php
namespace Bushelpowered\Api\Trade\Offers\V1\Events;
        
class OrderEvent implements \Bushelpowered\Api\Common\Event\Event
{
    public string $datasourceId;
    public \Bushelpowered\Api\Trade\Offers\V1\OrderStatus $status;
    public \Bushelpowered\Api\Trade\Offers\V1\Model\OrderStandard $data;
    public string $idempotencyKey;
    public int $eventCreationTime;
    public ?string $tenantId = null;

    /**
     */
    public function __construct(string $datasourceId, \Bushelpowered\Api\Trade\Offers\V1\OrderStatus $status, \Bushelpowered\Api\Trade\Offers\V1\Model\OrderStandard $data, string $idempotencyKey, int $eventCreationTime, ?string $tenantId)
    {
        $this->datasourceId = $datasourceId;
        $this->status = $status;
        $this->data = $data;
        $this->idempotencyKey = $idempotencyKey;
        $this->eventCreationTime = $eventCreationTime;
        $this->tenantId = $tenantId;
    }
    
    public function getIdempotencyKey(): string
    {
        return $this->idempotencyKey;
    }
    public function getEventCreationTime(): int
    {
        return $this->eventCreationTime;
    }
    public function getTenantId(): ?string
    {
        return $this->tenantId;
    }
}